Bug 28041 - Improve breadcrumbs and headings on label creator pages
Summary: Improve breadcrumbs and headings on label creator pages
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 27846
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-26 11:36 UTC by Owen Leonard
Modified: 2021-04-19 09:32 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28041: Improve breadcrumbs and headings on label creator pages (11.00 KB, patch)
2021-03-26 11:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28041: Improve breadcrumbs and headings on label creator pages (11.06 KB, patch)
2021-03-26 16:34 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28041: Improve breadcrumbs and headings on label creator pages (11.12 KB, patch)
2021-03-27 17:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-26 11:36:48 UTC
The breadcrumbs menu and page headings can be improved on several label creator pages to better describe the context of various operations.
Comment 1 Owen Leonard 2021-03-26 11:51:58 UTC
Created attachment 118850 [details] [review]
Bug 28041: Improve breadcrumbs and headings on label creator pages

This patch changes various label creator templates so that breadcrumbs
menus and headings are more specific to each operation.

To test, apply the patch and confirm that headings, page titles, and
breadcrumbs menus are correct for the various pages:

- New -> Label batch: "Label creator -> Batches -> New label batch."
- New -> Layout: "Label creator -> Layouts -> New label layout."
- New -> Label template: "Label creator -> New label template."
- New -> Printer profile: "Label creator -> New printer profile."
- New -> Barcode range: "Label creator -> Print barcode range."
- Manage -> Label batch -> Edit: "Label creator -> Batches -> Edit
  label batch X."
- Manage -> Layout -> Edit: "Label creator -> Layouts -> Edit label
  layout X."
- Manage -> Label templates -> Edit: "Label creator -> Templates -> Edit
  label template X."
- Manage -> Printer profiles -> Edit: "Label creator -> Profiles -> Edit
  printer profile X."
Comment 2 Lucas Gass 2021-03-26 16:34:06 UTC
Created attachment 118870 [details] [review]
Bug 28041: Improve breadcrumbs and headings on label creator pages

This patch changes various label creator templates so that breadcrumbs
menus and headings are more specific to each operation.

To test, apply the patch and confirm that headings, page titles, and
breadcrumbs menus are correct for the various pages:

- New -> Label batch: "Label creator -> Batches -> New label batch."
- New -> Layout: "Label creator -> Layouts -> New label layout."
- New -> Label template: "Label creator -> New label template."
- New -> Printer profile: "Label creator -> New printer profile."
- New -> Barcode range: "Label creator -> Print barcode range."
- Manage -> Label batch -> Edit: "Label creator -> Batches -> Edit
  label batch X."
- Manage -> Layout -> Edit: "Label creator -> Layouts -> Edit label
  layout X."
- Manage -> Label templates -> Edit: "Label creator -> Templates -> Edit
  label template X."
- Manage -> Printer profiles -> Edit: "Label creator -> Profiles -> Edit
  printer profile X."

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Lucas Gass 2021-03-26 16:34:35 UTC
In the test plan you say the breadcrumbs should be:

- New -> Label template: "Label creator -> New label template."
- New -> Printer profile: "Label creator -> New printer profile."

In fact they are

- New -> Label template: "Label creator -> Templates -> New label template."
- New -> Printer profile: "Label creator -> Profiles -> New printer profile."


But I think the later is actually correct, therefore I'm signing off. 

I like these improvements to the breadcrumbs!
Comment 4 Katrin Fischer 2021-03-27 17:13:13 UTC
Created attachment 118915 [details] [review]
Bug 28041: Improve breadcrumbs and headings on label creator pages

This patch changes various label creator templates so that breadcrumbs
menus and headings are more specific to each operation.

To test, apply the patch and confirm that headings, page titles, and
breadcrumbs menus are correct for the various pages:

- New -> Label batch: "Label creator -> Batches -> New label batch."
- New -> Layout: "Label creator -> Layouts -> New label layout."
- New -> Label template: "Label creator -> New label template."
- New -> Printer profile: "Label creator -> New printer profile."
- New -> Barcode range: "Label creator -> Print barcode range."
- Manage -> Label batch -> Edit: "Label creator -> Batches -> Edit
  label batch X."
- Manage -> Layout -> Edit: "Label creator -> Layouts -> Edit label
  layout X."
- Manage -> Label templates -> Edit: "Label creator -> Templates -> Edit
  label template X."
- Manage -> Printer profiles -> Edit: "Label creator -> Profiles -> Edit
  printer profile X."

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-04-06 13:59:37 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-19 09:32:18 UTC
Enhancement not pushed to 20.11.x